Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface PoissonDist

All Known Implementing Classes:
  PoissonDistImpl

public interface PoissonDist
extends UnsignedDistribution, UnsignedDistributionS

Poisson distribution. A distribution used to model the integer number of occurrences of some event over an interval of time or space.

Method Summary
`double` | `getInterval()` The getInterval method returns the interval parameter.
`double` | `getOccurRate()` The getOccurRate method returns the occurrence rate parameter.
`int` | `getUnsignedSampleWithInterval(double anInterval)` The getUnsignedSampleWithInterval method returns a sample value using the distribution's current occurrence rate and new interval value.
`int` | `getUnsignedSampleWithOccurRate$withInterval(double anOccurRate, double anInterval)` The getUnsignedSampleWithOccurRate:andInterval method returns a sample value for the specified occurrence rate and interval.

Methods inherited from interface swarm.random.UnsignedDistribution
`getUnsignedSample`

Methods inherited from interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.random.InternalState
`getMagic, getStateSize`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getOccurRate

    public double getOccurRate()

  The getOccurRate method returns the occurrence rate parameter.

### getInterval

    public double getInterval()

  The getInterval method returns the interval parameter.

### getUnsignedSampleWithInterval

    public int getUnsignedSampleWithInterval(double anInterval)

  The getUnsignedSampleWithInterval method returns a sample value using the distribution's current occurrence rate and new interval value. Causes an error if the occurrence rate has not been previously set.

### getUnsignedSampleWithOccurRate$withInterval

    public int getUnsignedSampleWithOccurRate$withInterval(double anOccurRate,
                                                           double anInterval)

  The getUnsignedSampleWithOccurRate:andInterval method returns a sample value for the specified occurrence rate and interval. Does not change the the distribution's parameter values set by the setter methods.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD